%global srcname betamax

# disable tests as they need n/w access
%bcond_with check

Name:           python-%{srcname}
Version:        0.9.0
Release:        %mkrel 3
Summary:        A VCR imitation for python-requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/betamax
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Betamax is a VCR imitation for requests. This will make mocking out requests
much easier.

%package -n python3-%{srcname}
Summary:        A VCR imitation for python-requests
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Betamax is a VCR imitation for requests. This will make mocking out requests
much easier.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files betamax

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst
%license LICENSE


%changelog
* Tue Feb 25 2025 wally <wally> 0.9.0-3.mga10
+ Revision: 2152326
- rebuild for pyhton3.13

* Sun Dec 22 2024 papoteur <papoteur> 0.9.0-2.mga10
+ Revision: 2129035
- add and use pytest

* Thu Jun 27 2024 papoteur <papoteur> 0.9.0-1.mga10
+ Revision: 2077224
- new version 0.9.0

* Mon Jan 29 2024 papoteur <papoteur> 0.8.1-9.mga10
+ Revision: 2035783
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.8.1-8.mga9
+ Revision: 1832162
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.8.1-7.mga9
+ Revision: 1772875
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 0.8.1-6.mga9
+ Revision: 1702850
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.1-5.mga8
+ Revision: 1535273
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.8.1-4.mga8
+ Revision: 1451711
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 0.8.1-3.mga8
+ Revision: 1437559
- rebuild for python3.8
- drop python2 support

* Fri Aug 30 2019 wally <wally> 0.8.1-2.mga8
+ Revision: 1435597
- drop python2 pytest BR

* Sun Jan 13 2019 wally <wally> 0.8.1-1.mga7
+ Revision: 1355957
- new version 0.8.1

* Mon Jan 07 2019 wally <wally> 0.7.0-6.mga7
+ Revision: 1350727
- rebuild for python3.7

* Sun Jan 06 2019 kekepower <kekepower> 0.7.0-5.mga7
+ Revision: 1350228
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-4.mga7
+ Revision: 1288353
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.7.0-3.mga7
+ Revision: 1135321
- Rebuild for python 3.6

* Wed May 11 2016 ngompa <ngompa> 0.7.0-2.mga6
+ Revision: 1012949
- imported package python-betamax


* Wed May 11 2016 Neal Gompa <ngompa13@gmail.com> - 0.7.0-2
- Port to Mageia

* Mon May 02 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.7.0-1
- Update to 0.7.0 release
- disable tests as they need network access

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 21 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.5.1-1
- Initial packaging

